// sorter.cpp -- Array sorter

#include <stream.hpp>
#include <stdlib.h>
#include <time.h>

#define ARRAYSIZE 100

void fillArray(void);
void displayArray(char *s);
void quicksort(int left, int right);
void sortArray(int n);

int array[ARRAYSIZE];      // Array of integers

main()
{
   fillArray();
   displayArray("Before");
   sortArray(ARRAYSIZE);
   displayArray("After");
}

// Fill global array with values taken at random
void fillArray(void)
{
   int i;

   srand(time(NULL));                  // Randomize generator
   for (i = 0; i < ARRAYSIZE; i++)     // Fill array
      array[i] = rand();
}

// Display contents of array before and after sorting
void displayArray(char *s)
{
   int i;

   cout << '\n' << s << " sorting:\n";
   for (i = 0; i < ARRAYSIZE; i++)
      cout << dec(array[i], 8);
}

// Quicksort algorithm by C. A. R. Hoare
void quicksort(int left, int right)
{
   int i = left;
   int j = right;
   int test = array[(left + right) / 2];
   int swap;

   do {
      while (array[i] < test) i++;
      while (test < array[j]) j--;
      if (i <= j) {
         swap = array[i];
         array[i] = array[j];
         array[j] = swap;
         i++;
         j--;
      }
   } while (i <= j);
   if (left < j) quicksort(left, j);
   if (i < right) quicksort(i, right);
}

// Sort n elements in global array
void sortArray(int n)
{
   if (n > 1) quicksort(0, n - 1);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/23/1990   Time: 11:36 am
