// options.cpp -- Command-line options demonstration

#include <stream.hpp>
#include <stdlib.h>
#include <ctype.h>

enum {FALSE, TRUE};

int aoption = FALSE;
int boption = FALSE;
int coption = FALSE;

main(int argc, char *argv[])
{
   char ch;

   while (--argc > 0) {
      ch = (*++argv)[0];  // ch = first char of next argument
      if ((ch == '-') || (ch == '/')) {
         ch = toupper((*argv)[1]);  // ch = second char of argument
         switch (ch) {
            case 'A':
               aoption = TRUE;
               break;
            case 'B':
               boption = TRUE;
               break;
            case 'C':
               coption = TRUE;
               break;
            default:
               cout << "Unknown option letter " << ch << '\n';
               exit(1);
         }
      } 
      else {
         cout << "Unknown option switch " << ch << '\n';
         exit(2);
      }
   }
   cout << "Results (0=FALSE, 1=TRUE):\n";
   cout << "aoption = " << aoption << '\n';
   cout << "boption = " << boption << '\n';
   cout << "coption = " << coption << '\n';
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/04/1990   Time: 08:33 pm


