// plot.cpp -- Plot a function

#include <stream.hpp>
#include <math.h>
#include <disp.h>
#include <time.h>

#define XSCALE 20       // X display adjustment
#define YSCALE 10       // Y display adjustment
#define XMIN 0          // Display coordinate ranges
#define XMAX 78
#define YMIN 0
#define YMAX 24

/* -- Define pointer to float function with an int parameter */

typedef float (* pfptr)(int x);

/* -- Function prototypes */

void pause(void);
void yplot(int x, float f);
float afunction(int x);

main()
{
   int x;
   pfptr pf = &afunction;

   disp_open();         // Initialize display package
   disp_move(0, 0);     // Move cursor to upper left corner
   disp_eeop();         // Clear screen

   for (x = XMIN; x <= XMAX; x++)    // Cycle for range of x
      yplot(x, (* pf)(x * XSCALE));  // Plot function result
   pause();                          // Wait for keypress to end
}

/* -- Wait for a keypress, then continue */

void pause(void)
{
   int c = getch();
}

/* -- Plot value of f on y axis at x */

void yplot(int x, float f)
{
   disp_move(YSCALE + (f * YSCALE), x);
   msleep(50);       // Optional. Remove to plot at full speed
   disp_putc('*');   // Display asterisk on graph
}

/* -- The function to plot */

float afunction(int x)
{
   return sin((x * PI) / 180.0);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/30/1990   Time: 08:54 am

