// popup.h -- Header file for popup.cpp

#include <stream.hpp>
#include <stdlib.h>
#include <time.h>
#include <disp.h>

#define MAXWINDOW 10    // Maximum number of windows
#define MAXCOLOR 7      // Maximum background color (min = 0)
#define MAXROW 22       // Maximum row number (min = 0)
#define MAXCOL 79       // Maximum column number (min = 0)
#define WHITE 15        // Color number for whiter than white
#define MONOCHROME 7    // Monochrome display mode number

struct winrec {         // Window record
   void * bufptr;       // Saved text. NULL if window is closed
   unsigned trow;       // Top row number
   unsigned lcol;       // Left column number
   unsigned brow;       // Bottom row number
   unsigned rcol;       // Right column number
   int attribute;       // Background & foreground color
};

typedef winrec *winrecptr;    // Define winrecptr data type

/* -- Function prototypes */

void error(char *errmsg);
void pause(void);
int randrange(int low, int high);
void openWindow(winrecptr wrp, int backcolor, unsigned trow, 
  unsigned lcol, unsigned brow, unsigned rcol);
void displayText(winrecptr wrp, char *message);
void closeTopWindow(winrecptr wrp);


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 08/29/1990   Time: 11:19 am
