// makedb.cpp -- Make sample data base

#include <stream.hpp>
#include "sample.h"

/* -- Function prototype */

int getNewRec(rec &oneRec);
void error(const char *s);

main()
{
   FILE *fp;
   rec oneRec;

   cout << "\nCreating or updating sample data base";
   fp = fopen("sample.dat", "ab");
   if (!fp) error("Opening file");
   for (;;) {
      cout << "\n\nEnter new record. (<Enter> quits).\n";
      if (!getNewRec(oneRec)) break;
      if (fwrite(&oneRec, sizeof(rec), 1, fp) < 1) 
         error("Writing to file");
   }
   if (fclose(fp) != 0) error("Closing file");
   cout << "\nFile created or updated";
}

/* -- Prompt for and let user enter one record. Return FALSE if user
presses <Enter> for first field. Return TRUE otherwise. */

int getNewRec(rec &oneRec)
{
   char buf[129];

   memset(&oneRec, 0, sizeof(rec));    // Zero fill record

   cout << "\nCustomer #  : ";
   gets(buf);
   if (strlen(buf) == 0) return FALSE;
   oneRec.custnum = atol(buf);

   cout << "Name ...... : ";
   gets(buf);
   strncpy(oneRec.name, buf, NAMELEN);

   cout << "State ..... : ";
   gets(buf);
   strncpy(oneRec.state, buf, STATELEN);

   cout << "Balance ... : ";
   gets(buf);
   oneRec.balance = atof(buf);

   return TRUE;
}

void error(const char *s)
{

   cout << "\nERROR: " << s;
   exit(1);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 10/08/1990   Time: 09:37 am



