// nav.cpp -- Directory navigator

#include <stream.hpp>
#include <direct.h>
#include <string.h>
#include "dir.h"

/* -- Function prototype */

void navigate(void);

main()
{
   window::startup();
   navigate();
   window::shutDown();
   exit(0);
}

void navigate(void)
{
   winStruct ws = {
      4, 4, 41, 18,  // row, column, width, height
      0x0f,          // text attribute
      0x70,          // border attribute
      0x70,          // highlight attribute
      1              // type
   };
   directory *dir;   // Directory object
   strItem *p;       // Pointer to strItem returned by getSelection
   char buf[13];     // File name returned by getString
   char *t;          // Temporary pointer to char

/* -- Read directory. Then, while user makes a selection, change to
that new directory. Ignore any errors (user may select a file instead
of a directory). The `if' statement truncates the directory name
returned by getString at the first blank (if any). */

   dir = new directory(ws, "*.*"); 
   while ((p = dir->getSelection()) != NULL) {
      strncpy(buf, p->getString(), 12);
      if ((t = strchr(buf, ' ')) != NULL) *t = 0;
      chdir(buf);
      dir->resetDirectory("*.*");
   }
   delete dir;
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 10/05/1990   Time: 04:16 pm

