// readln.cpp -- Read and display a text file a line at a time

#include <stream.hpp>
#include <stdio.h>
#include <stdlib.h>

/* -- Function prototypes */

void error(const char *message);
void instruct(void);

main(int argc, char *argv[])
{
   FILE *fp;
   char buffer[256];

   if (argc == 1) instruct();
   fp = fopen(argv[1], "r");
   if (!fp) error("Opening file");
   while (fgets(buffer, 255, fp) != NULL)
      cout << buffer;
   fclose(fp);
}

/* -- Display error message and exit */

void error(const char *message)
{
   cout << form("\n\nERROR: %s\n\n", message);
   exit(1);
}

/* -- Display instructions and exit */

void instruct(void)
{
   cout << "\nREADLN <filename>";
   cout << "\nInstructions: Enter the name of a text file.";
   cout << "\nEnter `READLN <filename> | more' to display";
   cout << "\nlengthy files (requires DOS's MORE.COM to be";
   cout << "\nin the current PATH).\n";
   exit(1);
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/03/1990   Time: 04:28 pm
