// tdir.cpp -- Test DIR module classes

#include <stream.hpp>
#include <string.h>
#include "dir.h"

void pause(void);
void runtest(void);

char *selection;

main()
{
   window::startup();
   runtest();
   window::shutDown();
   if (selection == NULL)
      cout << "\nNo file selected";
   else
      cout << "\nFile selected: " << selection;
   exit(0);
}

/* -- Pause until user presses <Spacebar> */

void pause(void)
{
   while (getch() != ' ') ;
}

/* -- Execute the test. Assign a selected file name string to the
global selection pointer, or if no file is selected, assign NULL. */

void runtest(void)
{
   winStruct ws = {
      4, 4, 41, 18,  // Row, column, width, height
      0x1f,          // Text attribute
      0x70,          // Border attribute
      0x70,          // Highlight attribute
      1              // Type
   };
   directory *dir = new directory(ws, "*.*"); 
   strItem *p;

   p = dir->getSelection();
   if (p) selection = strdup(p->getString());
   delete dir;
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/19/1990   Time: 08:56 am
