// arraylst.cpp -- List class with array-indexing operator

#include <stream.hpp>
#include "error.h"
#include "stritem.h"
#include "list.h"

class stringArray : public list {
   public:
      const char *operator[](int i);
};

void error(void);

main()
{
   stringArray *a = new stringArray;
   stringArray &sa = *a;

   a->insertItem(new strItem("First string"));
   a->insertItem(new strItem("Second string"));
   a->insertItem(new strItem("Third string"));
   a->insertItem(new strItem("Fourth string"));

   for (int i = 1; i <= 4; i++)
      printf("\n%s", sa[i]);

   cout << "\n\nString #2 == " << sa[2];

   delete a;
}

const char *stringArray::operator[](int i)
{
   if (listEmpty() || (i <= 0)) error();
   resetList();
   for (int count = 1; count < i; count++) {
      nextItem();
      if (atHeadOfList()) error();
   }
   return ((strItem *)currentItem())->getString();
}

void error(void)
{
   error(99, "Index out of range");
}


// Copyright (c) 1990 by Tom Swan. All rights reserved
// Revision 1.00    Date: 11/23/1990   Time: 02:56 pm
